<?php

/*
 * Copyright 2020 Netsyms Technologies.
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

if (empty($VARS["id"]) || (!Machine::exists($VARS["id"]) && !Machine::serialExists($VARS["id"]))) {
    sendJsonResp("Requested ID does not exist.", "ERROR");
}

if (Machine::exists($VARS["id"])) {
    $machine = new Machine($VARS['id']);
} else {
    $machine = new Machine(Machine::getIDFromSerial($VARS['id']));
}

header("Content-Type: application/json");
exit(json_encode($machine));
